<?xml version="1.0" encoding="utf-8"?>
<WL5G3N0:definitions xmlns:WL5G3N1="http://zk.ws.epichust.com/" name="UrmRsBaseInterface" targetNamespace="http://zk.ws.epichust.com/" xmlns:WL5G3N0="http://schemas.xmlsoap.org/wsdl/">
  <WL5G3N0:types>
    <xs:schema xmlns:tns="http://zk.ws.epichust.com/" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:ns1="http://zk.ws.epichust.com/" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/" elementFormDefault="unqualified" targetNamespace="http://zk.ws.epichust.com/" version="1.0" xmlns:xs="http://www.w3.org/2001/XMLSchema">
      <xsd:element name="base" type="ns1:base" />
      <xsd:element name="baseResponse" type="ns1:baseResponse" />
      <xsd:complexType name="base">
        <xsd:sequence>
          <xsd:element minOccurs="0" name="arg0" type="ns1:interfaceRequestHeader" />
          <xsd:element minOccurs="0" maxOccurs="unbounded" name="arg1" type="ns1:rsBaseInfoTo" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="interfaceRequestHeader">
        <xsd:sequence>
          <xsd:element minOccurs="0" name="interfaceID" type="xsd:string" />
          <xsd:element minOccurs="0" name="messageID" type="xsd:string" />
          <xsd:element minOccurs="0" name="receiver" type="xsd:string" />
          <xsd:element minOccurs="0" name="sender" type="xsd:string" />
          <xsd:element minOccurs="0" name="transID" type="xsd:string" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="rsBaseInfoTo">
        <xsd:sequence>
          <xsd:element minOccurs="0" name="alarmDate" type="xsd:string" />
          <xsd:element minOccurs="0" name="equipCode" type="xsd:string" />
          <xsd:element minOccurs="0" name="site" type="xsd:string" />
          <xsd:element minOccurs="0" name="toolCode" type="xsd:string" />
          <xsd:element minOccurs="0" name="toolDownProdution" type="xsd:string" />
          <xsd:element minOccurs="0" name="toolDownReason" type="xsd:string" />
          <xsd:element minOccurs="0" name="toolDownResidual" type="xsd:string" />
          <xsd:element minOccurs="0" name="toolDownType" type="xsd:string" />
          <xsd:element minOccurs="0" name="workCellCode" type="xsd:string" />
          <xsd:element minOccurs="0" name="workCenter" type="xsd:string" />
          <xsd:element minOccurs="0" name="tNumber" type="xsd:string" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="baseResponse">
        <xsd:sequence>
          <xsd:element minOccurs="0" name="return" type="ns1:interfaceResponse" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="interfaceResponse">
        <xsd:sequence>
          <xsd:element minOccurs="0" name="comment" type="xsd:string" />
          <xsd:element minOccurs="0" name="interfaceID" type="xsd:string" />
          <xsd:element minOccurs="0" name="messageID" type="xsd:string" />
          <xsd:element minOccurs="0" name="resultCode" type="xsd:string" />
          <xsd:element minOccurs="0" name="resultMessage" type="xsd:string" />
          <xsd:element minOccurs="0" name="resultType" type="xsd:string" />
          <xsd:element minOccurs="0" name="transID" type="xsd:string" />
        </xsd:sequence>
      </xsd:complexType>
    </xs:schema>
  </WL5G3N0:types>
  <WL5G3N0:message name="baseResponse">
    <WL5G3N0:part name="parameters" element="WL5G3N1:baseResponse" />
  </WL5G3N0:message>
  <WL5G3N0:message name="base">
    <WL5G3N0:part name="parameters" element="WL5G3N1:base" />
  </WL5G3N0:message>
  <WL5G3N0:portType name="UrmRsBaseInterface">
    <WL5G3N0:operation name="base">
      <WL5G3N0:input name="base" message="WL5G3N1:base" />
      <WL5G3N0:output name="baseResponse" message="WL5G3N1:baseResponse" />
    </WL5G3N0:operation>
  </WL5G3N0:portType>
</WL5G3N0:definitions>